Introduction Note: This API version is deprecated. Please use the v3 APIhttps://cloud.ibm.com/apidocs/watsonxdata-v3 instead. IBM® watsonx.data is a data management solution for collecting, storing, querying, and analyzing all your enterprise data structured, semi-structured, and unstructured with a single unified data platform. It provides a flexible and reliable platform that is optimized to work on open data formats. The api are in beta state and expected to change. Endpoint URLs The base URLs come from the service instance. To find the URL, view the service credentials by clicking the name of the service in the Resource listhttps://cloud.ibm.com/resources. Use the value of the URL. Add the method to form the complete API endpoint for your request. Authentication Required Purpose: To work with the API, you must use an IBM Cloud Identity and Access Management IAM access token. The token is used to determine the actions that a user or service ID has access to when they use the API. You can generate an IAM token for an authenticated user or service ID by using the IAM Identity Services APIhttps://cloud.ibm.com/apidocs/iam-identity-token-api. IAM tokens are generated by using the user or service ID's API key. For more information, see Generating an IBM Cloud IAM token by using an API keyhttps://cloud.ibm.com/docs/account?topic=account-iamtokenfromapikey. To use the API, add a valid IAM token to the HTTP Authorization request header, for example, -H 'Authorization: Bearer {TOKEN}'. To retrieve your access token: bash curl -X POST \ "https://iam.cloud.ibm.com/identity/token" \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Accept: application/json' \ --data-urlencode 'granttype=urn:ibm:params:oauth:grant-type:apikey' \ --data-urlencode 'apikey={APIKEY}' Replace {APIKEY} with your IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey. Auditing Required if applicable Purpose: Describes that the API generates auditing events that can be consumed by the Activity Tracker service, and links to your related product docs for more information. Required only if any of the API's methods is enabled to generate auditing events. Example: You can monitor API activity within your account by using the IBM Cloud Activity Tracker service. Whenever an API method is called, an event is generated that you can then track and audit from within Activity Tracker. The specific event type is listed for each individual method. For more information about how to track Certificate Manager activity, see Auditing events for Certificate Managerhttps://cloud.ibm.com/docs/certificate-manager?topic=certificate-manager-atevents. Error handling This API uses standard HTTP response codes to indicate whether a method completed successfully. A 200 response indicates success. A 400 type response indicates a failure, and a 500 type response indicates an internal system error. | HTTP Error Code | Description | Recovery | |-----------------|-----------------------|-----------------------------------------------------------------------------| | 200 | Success | The request was successful. | | 201 | Created | The requested resource successfully created in a synchronous manner. | | 204 | No Content | The server successfully processed the request and is not returning any content.| | 400 | Bad Request | The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request. | | 401 | Unauthorized | You are not authorized to make this request. Log in to IBM Cloud and try again. If this error persists, contact the account owner to check your permissions. | | 403 | Forbidden | The supplied authentication is not authorized to access '{namespace}'. | | 404 | Not Found | The requested resource could not be found. | | 409 | Conflict | The entity is already in the requested state. | | 500 | Internal Server Error | Your request could not be processed. Wait a few minutes and try again. | Pagination Some API requests might return many results. To avoid performance issues, these results are returned one page at a time, with a limited number of results on each page. GET requests for the following resources use pagination: /v1/statement For the request that uses pagination, the response does include following urls to make subsequent requests : infoUri: The URL for requesting the first page of results. nextUri: The URL for requesting the next page of results.
| Method | Path | Summary |
|---|---|---|
| GET | /bucket_registrations | Get bucket registrations |
| POST | /bucket_registrations | Register bucket |
| GET | /bucket_registrations/{bucket_id} | Get bucket |
| DELETE | /bucket_registrations/{bucket_id} | Deregister Bucket |
| PATCH | /bucket_registrations/{bucket_id} | Update bucket |
| POST | /bucket_registrations/{bucket_id}/activate | Activate Bucket |
| POST | /bucket_registrations/{bucket_id}/catalogs | Add bucket catalog |
| DELETE | /bucket_registrations/{bucket_id}/deactivate | Deactivate Bucket |
| GET | /bucket_registrations/{bucket_id}/objects | List bucket objects |
| GET | /generate_benchmark_report | Generate generate_benchmark_report specific to storage |
| GET | /generate_benchmark_report/status/{req_id} | Get generate_benchmark_report status |
| GET | /database_registrations | Get databases |
| POST | /database_registrations | Add/Create database |
| GET | /database_registrations/{database_id} | Get database |
| DELETE | /database_registrations/{database_id} | Delete database |
| PATCH | /database_registrations/{database_id} | Update database |
| GET | /other_engines | List other engines |
| POST | /other_engines | Create other engine |
| DELETE | /other_engines/{engine_id} | Delete engine |
| GET | /integrations | Get all existing Integrations |
| POST | /integrations | To register an integration |
| GET | /integrations/{integration_id} | Get an Integration |
| DELETE | /integrations/{integration_id} | Remove an Integration |
| PATCH | /integrations/{integration_id} | Update an existing Integration |
| GET | /db2_engines | Get list of db2 engines |
| POST | /db2_engines | Create db2 engine |
| DELETE | /db2_engines/{engine_id} | Delete db2 engine |
| PATCH | /db2_engines/{engine_id} | Update db2 engine |
| GET | /netezza_engines | Get list of netezza engines |
| POST | /netezza_engines | Create netezza engine |
| DELETE | /netezza_engines/{engine_id} | Delete netezza engine |
| PATCH | /netezza_engines/{engine_id} | Update netezza engine |
| GET | /prestissimo_engines | Get list of prestissimo engines |
| POST | /prestissimo_engines | Create prestissimo engine |
| GET | /prestissimo_engines/{engine_id} | Get prestissimo engine |
| DELETE | /prestissimo_engines/{engine_id} | Delete prestissimo engine |
| PATCH | /prestissimo_engines/{engine_id} | Update prestissimo engine |
| GET | /prestissimo_engines/{engine_id}/catalogs | Get prestissimo engine catalogs |
| POST | /prestissimo_engines/{engine_id}/catalogs | Associate catalogs to a prestissimo engine |
| DELETE | /prestissimo_engines/{engine_id}/catalogs | Disassociate catalogs from a prestissimo engine |
| GET | /prestissimo_engines/{engine_id}/catalogs/{catalog_id} | Get prestissimo engine catalog |
| POST | /prestissimo_engines/{engine_id}/query_explain | Explain query |
| POST | /prestissimo_engines/{engine_id}/query_explain_analyze | Explain analyze |
| POST | /prestissimo_engines/{engine_id}/restart | Restart a prestissimo engine |
| GET | /presto_engines | Get list of presto engines |
| POST | /presto_engines | Create presto engine |
| GET | /presto_engines/{engine_id} | Get presto engine |
| DELETE | /presto_engines/{engine_id} | Delete presto engine |
| PATCH | /presto_engines/{engine_id} | Update presto engine |
| GET | /presto_engines/{engine_id}/catalogs | Get presto engine catalogs |
| POST | /presto_engines/{engine_id}/catalogs | Associate catalogs to presto engine |
| DELETE | /presto_engines/{engine_id}/catalogs | Disassociate catalogs from a presto engine |
| GET | /presto_engines/{engine_id}/catalogs/{catalog_id} | Get presto engine catalog |
| POST | /presto_engines/{engine_id}/query_explain | Explain presto query |
| POST | /presto_engines/{engine_id}/query_explain_analyze | Explain presto analyze |
| POST | /presto_engines/{engine_id}/restart | Restart a presto engine |
| GET | /spark_engines | List all spark engines |
| POST | /spark_engines | Create spark engine |
| GET | /spark_engines/{engine_id} | Get spark engine |
| DELETE | /spark_engines/{engine_id} | Delete spark engine |
| PATCH | /spark_engines/{engine_id} | Update spark engine |
| GET | /spark_engines/{engine_id}/applications | List all applications in a spark engine |
| POST | /spark_engines/{engine_id}/applications | Submit engine applications |
| DELETE | /spark_engines/{engine_id}/applications | Stop Spark Applications |
| GET | /spark_engines/{engine_id}/applications/{application_id} | Get spark application |
| GET | /spark_engines/{engine_id}/catalogs | Get spark engine catalogs |
| POST | /spark_engines/{engine_id}/catalogs | Associate catalogs to spark engine |
| DELETE | /spark_engines/{engine_id}/catalogs | Disassociate catalogs from a spark engine |
| GET | /spark_engines/{engine_id}/catalogs/{catalog_id} | Get spark engine catalog |
| GET | /spark_engines/{engine_id}/history_server | Get spark history server |
| POST | /spark_engines/{engine_id}/history_server | Start spark history server |
| DELETE | /spark_engines/{engine_id}/history_server | Stop spark history server |
| GET | /spark_versions | List spark version |
| GET | /instance_details | Get all instance details |
| GET | /instance_details/engines_services | Get engines and services detail |
| GET | /instance_details/engines_services/{engine_or_service_type} | Get services details |
| GET | /instance_details/engines_services/{engine_or_service_type}/id/{id} | Get Milvus service detail |
| GET | /catalogs | List all registered catalogs |
| GET | /catalogs/{catalog_id} | Get catalog properties by catalog_id |
| DELETE | /catalogs/{catalog_id} | Delete catalog |
| GET | /catalogs/{catalog_id}/schemas | List all schemas |
| POST | /catalogs/{catalog_id}/schemas | Create schema |
| DELETE | /catalogs/{catalog_id}/schemas/{schema_id} | Delete schema |
| GET | /catalogs/{catalog_id}/schemas/{schema_id}/tables | List all tables |
| GET | /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id} | Get table details |
| DELETE | /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id} | Delete table |
| PATCH | /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id} | Rename table |
| GET | /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}/columns | List all columns of a table |
| POST | /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}/columns | Add column(s) |
| DELETE | /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}/columns/{column_id} | Delete column |
| PATCH | /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}/columns/{column_id} | Alter column |
| GET | /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}/snapshots | Get table snapshots |
| POST | /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}/rollback | Rollback table to snapshot |
| PATCH | /catalogs/{catalog_id}/sync | External Iceberg table registration |
| GET | /sal_integrations | Get SAL Integrations |
| POST | /sal_integrations | Create sal integration with wxd |
| DELETE | /sal_integrations | Delete sal-wxd integration |
| PATCH | /sal_integrations | Update sal-wxd integration |
| POST | /sal_integrations/enrichment | Trigger enrichment jobs on schemas and tables |
| GET | /sal_integrations/enrichment_assets | Get semantic enrichment assets associated with the schema |
| GET | /sal_integrations/enrichment_data_asset | Get semantic enrichment data asset associated with the table |
| GET | /sal_integrations/enrichment_job_run_logs | Get semantic enrichment job run logs associated with the job run |
| GET | /sal_integrations/enrichment_job_runs | Get semantic enrichment job runs associated with the schema |
| GET | /sal_integrations/enrichment_jobs | Get semantic enrichment jobs associated with the schema |
| GET | /sal_integrations/glossary_terms | Get list of uploaded glossary terms |
| GET | /sal_integrations/mappings | Get wkc catalog and project mapped to the schema |
| GET | /sal_integrations/metadata_enrichment_global_settings | Get metadata enrichment global settings |
| POST | /sal_integrations/metadata_enrichment_global_settings | Add metadata enrichment global settings |
| GET | /sal_integrations/metadata_enrichment_settings | get metadata enrichment settings for a project |
| POST | /sal_integrations/metadata_enrichment_settings | Add metadata enrichment settings for a project |
| POST | /sal_integrations/upload_glossary | Upload semantic enrichment business terms glossary |
| GET | /sal_integrations/upload_glossary_status | Get status of upload glossary job |
| GET | /milvus_services | Get list of milvus services |
| POST | /milvus_services | Create milvus service |
| GET | /milvus_services/{service_id} | Get milvus service |
| DELETE | /milvus_services/{service_id} | Delete milvus service |
| PATCH | /milvus_services/{service_id} | Update milvus service |
| GET | /endpoints | Get CPG and DAS endpoints |
| GET | /ingestion_jobs | Get ingestion jobs |
| POST | /ingestion_jobs | Create an ingestion job |
| POST | /ingestion_jobs_local_files | Create an ingestion job for user local files |
| GET | /ingestion_jobs/{job_id} | Get ingestion job |
| DELETE | /ingestion_jobs/{job_id} | Delete an ingestion job |
| POST | /preview_ingestion_file | Generate a preview of source file(s) |
| POST | /catalogs/{catalog_id}/schemas/{schema_id}/register | Register delta or hudi table |
| GET | /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}/metadata | Load table metadata |
| GET | /columns | Get all columns |
| GET | /schemas | Get all schemas for a given catalog |
| GET | /schemas/{schema_name} | Get schema details |
| GET | /tables | Get all tables |
| GET | /tables/{table_name} | Get table details |
| POST | /generate_engine_dump | Generate heat or thread dump specific to presto worker or coordinator |